Bug 174603 - databases/postgresql84-server: 8.4.15_1 won't build with devel/icu 50.1
databases/postgresql84-server: 8.4.15_1 won't build with devel/icu 50.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pgsql
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-21 05:40 UTC by basarevych
Modified: 2012-12-24 22:40 UTC (History)
0 users

See Also:


Attachments
file.diff (445 bytes, patch)
2012-12-21 05:40 UTC, basarevych
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description basarevych 2012-12-21 05:40:00 UTC
# cd /usr/ports/databases/postgresql84-server
# make
===>  Found saved configuration for postgresql-client-8.4.15
===>  Extracting for postgresql-server-8.4.15_1
=> SHA256 Checksum OK for postgresql/postgresql-8.4.15.tar.bz2.
=> SHA256 Checksum OK for postgresql/pg-840-icu-2009-09-15.diff.gz.
===>  Patching for postgresql-server-8.4.15_1
===>  Applying distribution patches for postgresql-server-8.4.15_1
===>  Applying extra patch /usr/ports/databases/postgresql84-server/files/extra-patch-icu4
===>  Applying FreeBSD patches for postgresql-server-8.4.15_1
===>   postgresql-server-8.4.15_1 depends on executable: gmake - found
===>   postgresql-server-8.4.15_1 depends on file: /usr/local/bin/autoconf-2.69 - found
===>   postgresql-server-8.4.15_1 depends on shared library: icudata.50 - found
===>   postgresql-server-8.4.15_1 depends on shared library: xml2.5 - found
===>   postgresql-server-8.4.15_1 depends on shared library: intl - found
===>   postgresql-server-8.4.15_1 depends on shared library: pq.5 - found
===>  Configuring for postgresql-server-8.4.15_1
/usr/local/bin/gm4:configure.in:950: ERROR: end of file in string
autom4te-2.69: /usr/local/bin/gm4 failed with exit status: 1
*** Error code 1

Stop in /usr/ports/databases/postgresql84-server.
*** Error code 1

Stop in /usr/ports/databases/postgresql84-server.

Fix: Quick fix is to apply the patch and run make again

Patch attached with submission follows:
Comment 1 Raphael Kubo da Costa freebsd_committer 2012-12-24 13:45:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgsql

Assigning to pgsql@.
Comment 2 dfilter freebsd_committer 2012-12-24 22:33:19 UTC
Author: jgh
Date: Mon Dec 24 22:33:12 2012
New Revision: 309467
URL: http://svnweb.freebsd.org/changeset/ports/309467

Log:
  - unbreak ICU build
  
  PR:		174603 (based on)
  Submitted by:	basarevych@gmail.com
  With hat: pgsql@

Modified:
  head/databases/postgresql84-server/files/extra-patch-icu4

Modified: head/databases/postgresql84-server/files/extra-patch-icu4
==============================================================================
--- head/databases/postgresql84-server/files/extra-patch-icu4	Mon Dec 24 22:26:50 2012	(r309466)
+++ head/databases/postgresql84-server/files/extra-patch-icu4	Mon Dec 24 22:33:12 2012	(r309467)
@@ -8,7 +8,7 @@
 -     AC_CHECK_LIB(icui18n, ucol_open_3_6, [], [
 -        AC_CHECK_LIB(icui18n, ucol_open_3_4, [], [AC_MSG_ERROR([library 'icui18n' is required for ICU])])
 -   ])
-+  AC_CHECK_LIB(icui18n, ucol_open_50
++  AC_CHECK_LIB(icui18n, ucol_open_50, [], [
 +   AC_CHECK_LIB(icui18n, ucol_open_48, [], [
 +    AC_CHECK_LIB(icui18n, ucol_open_44, [], [
 +      AC_CHECK_LIB(icui18n, ucol_open_43, [], [
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 jgh freebsd_committer 2012-12-24 22:33:42 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!